Bug 1447703 - Fix SELinux contex of http.keytab during upgrade
Summary: Fix SELinux contex of http.keytab during upgrade
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: Nikhil Dehadrai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-03 14:18 UTC by Petr Vobornik
Modified: 2017-08-01 09:50 UTC (History)
5 users (show)

Fixed In Version: ipa-4.5.0-10.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 09:50:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2304 normal SHIPPED_LIVE ipa bug fix and enhancement update 2017-08-01 12:41:35 UTC

Description Petr Vobornik 2017-05-03 14:18:34 UTC
Cloned from upstream: https://pagure.io/freeipa/issue/6924

During upgrate the http.keytab is moved to a new location but with incorrect SELinux context. Operation `copy` and `remove` should be used instead of `move` to restore context properly.

Comment 2 Petr Vobornik 2017-05-03 14:20:55 UTC
Upstream ticket:
https://pagure.io/freeipa/issue/6924

Comment 3 Petr Vobornik 2017-05-03 14:22:52 UTC
This bz is derived from bug 1436689

Comment 10 Nikhil Dehadrai 2017-05-22 10:37:43 UTC
IPA server version: ipa-server-4.5.0-13.el7.x86_64

Tested the bug with following observations:

1) Verified that upgrade of IPA server to latest version is successful.
2) No errors/ failures are observed during upgrade process.
3) All the basic commands work successfully after upgrade.
4) Verified the same for other upgrade paths:
  - RHEL 7.1.z > Rhel 7.4
  - RHEL 7.2.z > Rhel 7.4
  - RHEL 7.3 > Rhel 7.4
  - RHEL 7.3.z > Rhel 7.4
5) We are unable to login to UI after upgrade, for which a separate bug is logged BZ#1451733
6) No AVC errors related to "http.keytab" are observed during/after the upgrade process.

Thus on the basis of above observations, marking status of bug to "VERIFIED".

Comment 12 errata-xmlrpc 2017-08-01 09:50:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2304


Note You need to log in before you can comment on or make changes to this bug.